Bug 828097 - security-policy-targeted rpm postinst script traverses mounted media
security-policy-targeted rpm postinst script traverses mounted media
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 04:50 EDT by Malcolm Tredinnick
Modified: 2012-06-16 20:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:05:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Malcolm Tredinnick 2012-06-04 04:50:36 EDT
Description of problem:

After an upgrade to security-policy-targeted via yum today, the postinst script did it's standard restorecon invocation. At the time, I had a 1 TB USB hard-drive mounted. Fedora 17 has moved the mount point to /var/run/media/...., rather than the former /media location. Sadly, /var/run is one of the directories that restorecon tries to relabel. A few hours later, it finally finished.


Version-Release number of selected component (if applicable):

It was upgrading to selinux-policy-targeted-3.10.0-128.fc17.


How reproducible:

Should be always reproducible. The particular restorecon invocation, according to ps was

/sbin/restorecon -R /root /var/log /var/run /etc/passwd /etc/passwd- /etc/passwdqc.conf /etc/group /etc/group-


Steps to Reproduce:
1. Mount external (readwritable) device as any user.
2. Upgrade selinux-policy-targeted
  
Actual results:

Much waiting and disk activity. Unhappiness.


Expected results:

It seems like the intention is that random data directories should be skipped in this process. /media wasn't in the F16 restorecon list for this scriptlet and /home never is. So I would expect /var/run/media to be excluded in the F17 world.
Comment 1 Miroslav Grepl 2012-06-04 05:44:33 EDT
Fixed in selinux-policy-3.10.0-129.fc17
Comment 2 Fedora Update System 2012-06-11 17:03:34 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 20:00:27 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:05:21 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.